# TODO
# - maybe related:
#  - http://pecl.php.net/bugs/bug.php?id=7141
%define		_modname	APC
%define		_status		beta
Summary:	%{_modname} - Alternative PHP Cache
Summary(pl.UTF-8):	%{_modname} - alternatywne cache PHP
Name:		php-pecl-%{_modname}
Version:	3.1.10
Release:	3
License:	PHP 3.01
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	f4a6b91903d6ba9dce89fc87bb6f26c9
URL:		http://pecl.php.net/package/APC/
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.344
%{?requires_php_extension}
Requires:	php(core) >= 5.0.4
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
APC is the Alternative PHP Cache. It was conceived of to provide a
free, open, and robust framework for caching and optimizing PHP
intermediate code.

In PECL status of this package is: %{_status}.

%description -l pl.UTF-8
APC to alternatywne cache PHP. W wyobrażeniach miało dostarczać
wolnodostępny, otwarty i potężny szkielet do buforowania i
optymalizowania kodu pośredniego PHP.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

cat <<'EOF' > %{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
apc.enabled=1
;apc.optimization=0
;apc.shm_segments=1
;apc.shm_size=32
;apc.cache_by_default=1
;apc.max_file_size=1M
;apc.num_files_hint=1024
;apc.gc_ttl=3600
;apc.ttl=0
;apc.mmap_file_mask=/tmp/apc.XXXXXX
;apc.filters=
;apc.stat=1
;apc.enable_cli=0
EOF

%build
cd %{_modname}-%{version}
phpize
%configure \
	--%{!?debug:dis}%{?debug:en}able-apc-debug \
	--enable-apc-mmap
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -D %{_modname}-%{version}/modules/apc.so $RPM_BUILD_ROOT%{php_extensiondir}/%{_modname}.so

install -d $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d

cp -a %{_modname}.ini $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{_modname}.ini

%clean
rm -rf $RPM_BUILD_ROOT

%post
%php_webserver_restart

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{CHANGELOG,INSTALL,NOTICE,apc.php}
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{php_extensiondir}/%{_modname}.so
%changelog
* Thu Aug 23 2012 Elan Ruusamäe <glen@delfi.ee> 342b7f3
- use php(core) as dependency to require php version
- release 2 (by relup.sh)

* Fri Aug 03 2012 Elan Ruusamäe <glen@delfi.ee> e2823e0
- release 2 (by relup.sh)

* Sun Jun 24 2012 Łukasz Kieś <kiesiu@pld-linux.org> 52c2020
- updated to 3.1.10

* Wed Jul 06 2011 arvenil <arvenil@pld-linux.org> 3f1fbbb
- up to 3.1.9
  (fixes: http://pecl.php.net/bugs/bug.php?id=22687)

* Sun May 29 2011 zbyniu <zbyniu@pld-linux.org> ac5c514
- up to 3.1.8

* Sat Dec 11 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 0ad65c3
- release 2

* Thu Nov 04 2010 pawelz <pawelz@pld-linux.org> 79a8a7d
- up to 3.1.5

* Tue Sep 21 2010 pawelz <pawelz@pld-linux.org> 5a62a7f
- up to 3.1.4

* Wed Jun 02 2010 Elan Ruusamäe <glen@pld-linux.org> b5b87ee
- release 2

* Tue Aug 18 2009 Adam Gołębiowski <adamg@pld-linux.org> 551f857
- updated to 3.1.3p1

* Sun Apr 26 2009 Adam Gołębiowski <adamg@pld-linux.org> 9e89314
- license fixes Andrzej Mateja <amateja () pimpek.one.pl>

* Tue Aug 12 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7c90cb1
- bug is marked as fixed; libtool hack not needed; include apc.php in doc

* Sun Aug 10 2008 zergin <zergin@pld-linux.org> 94154ef
- fix for m4 macros

* Wed Jun 25 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 871a709
- rel 2; common config for all SAPIs (no longer requires all sapis to be installed (due to directory deps))

* Sat May 17 2008 Adam Gołębiowski <adamg@pld-linux.org> 6dbd1bc
- updated to 3.0.19

* Wed Apr 16 2008 dzeus <dzeus@pld-linux.org> ed496ec
- obsolete, included in source

* Wed Apr 16 2008 dzeus <dzeus@pld-linux.org> 389e8a6
- up to 3.0.18 - CVE-2008-1488

* Wed Dec 26 2007 Adam Gołębiowski <adamg@pld-linux.org> 597076c
- updated to 3.0.16

* Wed Dec 26 2007 Adam Gołębiowski <adamg@pld-linux.org> f93fb40
- new

* Mon Nov 05 2007 Adam Gołębiowski <adamg@pld-linux.org> cdb94c6
- updated to 3.0.15

